%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  MGPSDK
%global packver   1.0.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.0
Release:          1%{?dist}%{?buildtag}
Summary:          Interact with the Maxar 'MGP' Application Programming Interfaces

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-R6 
BuildRequires:    R-CRAN-reticulate 
Requires:         R-CRAN-R6 
Requires:         R-CRAN-reticulate 

%description
Provides an interface to the Maxar Geospatial Platform (MGP) Application
Programming Interface. <https://www.maxar.com/maxar-geospatial-platform>
It facilitates imagery searches using the MGP Streaming Application
Programming Interface via the Web Feature Service (WFS) method, and
supports image downloads through Web Map Service (WMS) and Web Map Tile
Service (WMTS) Open Geospatial Consortium (OGC) methods. Additionally, it
integrates with the Maxar Geospatial Platform Basemaps Application
Programming Interface for accessing Maxar basemaps imagery and seamlines.
The package also offers seamless integration with the Maxar Geospatial
Platform Discovery Application Programming Interface, allowing users to
search, filter, and sort Maxar content, while retrieving detailed metadata
in formats like SpatioTemporal Asset Catalog (STAC) and GeoJSON.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
